knife tool cut through
Closed, InvalidPublic

Description

the cut through is hit and miss at times,
i have been testing cutting a simple cube in front view,
cutting from left to right, top to bottom and vice versa,
sometimes it does not cut through on one side,

blender-2.64-release-windows32
windows 7
nvidia 450

martin devlin (martinn) set Type to Bug.Via Old WorldOct 4 2012, 4:25 AM
Campbell Barton (campbellbarton) added a comment.Via Old WorldOct 4 2012, 4:36 AM

Please give an example model where it fails and grease pencil to show where to cut.

I tried a few times on different models to get it to fail but it works well here.

i have attached a blend file with a cube,
3 random diagonal cuts in front view,
either left to right or right to left.
you can see a vertice is missing, on the back, where it should have cut through,
problem only occurs when cutting through in front, top or side view
the knife tool on its own works perfect,
its only the cut through is random, sometimes it works, sometimes not.

Campbell Barton (campbellbarton) added a comment.Via Old WorldOct 4 2012, 3:41 PM

I've tried ~10 different cuts on this cube and cut through always works,
are you sure you press Z before executing the mouse click?

martin devlin (martinn) added a comment.Via Old WorldOct 4 2012, 4:02 PM

yes i press k for knife, then z for cut through,
then left mouse button on left side, then right side,
and space to confirm,
make sure your in front view

martin devlin (martinn) added a comment.Via Old WorldOct 5 2012, 7:05 AM

i think i figured this out,

if i start and end the cut line outside the highlighted yellow edges, its cuts through everytime, perfect.
but if i start and end the cut line on the yellow edges, it seems to fail alot with cut through.

so its best to start and end the cut lines outside the yellow edges everytime,
then it cuts through perfect.
this can be closed if you want.

Ton Roosendaal (ton) added a comment.Via Old WorldOct 24 2012, 12:26 PM

thanks for the efforts, will close this now :)

Ton Roosendaal (ton) closed this task as "Invalid".Via Old WorldOct 24 2012, 12:26 PM

Add Comment